import { AsyncStorage } from 'react-native';
import { NavigationActions } from 'react-navigation';

export default {
  namespace: 'welcome',
  effects: {
    *init(ignored, { put, call }) {
      const token = yield call(AsyncStorage.getItem, 'token');
      if (token) {
        yield put(NavigationActions.navigate({
          routerName: 'Login',
        }));
      } else {
        yield put(NavigationActions.navigate({
          routerName: 'Main',
        }));
      }
    },
  },
};
